Mailinglist Archive: opensuse (1108 mails)

< Previous Next >
Re: [opensuse] Re: why embedded versions for everything?
26.08.2018 10:47, L A Walsh пишет:
...

If you want to support multiple versions, that's usually possible -- the
only case where they are needed is where you provide multiple
*incompatible*
interfaces in the same library and a linking program uses more than one
of them
at the same time.  Then it needs the versions of each of the interfaces.

However, that has been universally considered a bad thing to do.
...

And how exactly ranting on this list is going to help?

Why do not you contact developers of util-linux or even better binutils?
I'm sure they do not mean any harm, they are simply ignorant of how to
properly handle dynamic libraries and as soon as they get your educated
advice they immediately drop this stupid useless support for symbol
versioning.

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups